Function
readDna5IgnoringWhitespaces
Read characters from stream, as long as they are DNA5 characters. Skip over whitespaces.
readDna5IgnoringWhitespaces(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to Types: CharString, Dna5String, or similar
recordReader | The RecordReader to read from. Types: RecordReader

Remarks
This function read Dna5-Characters and simply discards whitespaces, including newlines.
It stops on the first character that is not Dna5 and not whitespace.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult, Dna5, isspace
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58